
export class UserModel {
    private _id: string;
    private _name: string;
    private _token: string;
    private _lobbies: string[];

    constructor(id: string, name: string, token: string, lobbies: string[] = []) {
        this._id = id;
        this._name = name;
        this._token = token;
        this._lobbies = lobbies;
    }

    public get id() {
        return this._id;
    }

    public get name() {
        return this._name;
    }

    public get token() {
        return this._token;
    }

    public get lobbies() {
        return this._lobbies;
    }
    public set lobbies(lobbies: string[]) {
        this._lobbies = lobbies;
    }

} 