const webpack = require('webpack');
const { merge } = require('webpack-merge');
const common = require('./webpack.common.js');

module.exports = merge(common, {
    mode: 'production',
    plugins: [
        ...common.plugins,
        new webpack.DefinePlugin({
            DEBUG: JSON.stringify(false)
        })
    ],
});