export type TokenAuthPayload = {
    exp: number,
    [key: string]: unknown
};

export interface ITokenAuth<T extends TokenAuthPayload> {
    sign(payload: T, secret: string): string;
    verify(token: string, secret: string): T;
}