import React from 'react';
import { Outlet as RouterOutlet } from "@tanstack/react-location";
import CssBaseline from '@mui/material/CssBaseline';
import { ProviderHierarchy } from './context';

const App = () => {
    return (
        <ProviderHierarchy>
            <CssBaseline />
            <RouterOutlet />
        </ProviderHierarchy>
    );
};

export default App;